Permanently deletes the ACL entry for the specified entity on the specified
[object](https://docs.cloud.google.com/storage/docs/json_api/v1/objects.md.txt).

> [!NOTE]
> **Important:** This method fails with a `400 Bad Request` response for buckets with uniform bucket-level access enabled. Use [`storage.buckets.getIamPolicy`](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/getIamPolicy.md.txt) and [`storage.buckets.setIamPolicy`](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/setIamPolicy.md.txt) to control access instead.

You cannot remove `OWNER` access from the owner of this object using this method; the
only way to remove that access is to delete or replace the object.

## Required permissions

The authenticated user must have one of the following permissions to use this method:

- The `storage.objects.setIamPolicy` IAM permission for the bucket containing the object
- The `OWNER` ACL permission for the object

<br />

## Request

### HTTP request

```
DELETE https://storage.googleapis.com/storage/v1/b/bucket/o/object/acl/entity
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following query parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | Name of a bucket. |
| `entity` | `string` | The entity holding the permission. Can be `user-emailAddress`, `group-groupId`, `group-emailAddress`, `allUsers`, or `allAuthenticatedUsers`. |
| `object` | `string` | Name of the object. For information about how to URL encode object names to be path safe, see [Encoding URI path parts](https://docs.cloud.google.com/storage/docs/request-endpoints.md.txt#encoding). |
| **Optional query parameters** |||
| `generation` | `long` | If present, selects a specific revision of this object (as opposed to the latest version, the default). |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.